commit 42df381716df66b01e114a270976441b7a378a0a
Author: jklowden <jklowden>
Date:   Fri Jan 8 22:41:34 2010 +0000

    tsql works in win32, optarg is not const

diff --git a/ChangeLog b/ChangeLog
index 9429ddf..70f4381 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Jan  8 17:38:50 EST 2010	JK Lowden <jklowden@freetds.org>
+	* include/replacements.h src/apps/bsqldb.c src/tds/mem.c
+	- tsql works in win32, optarg is not const
+
 Fri Jan  8 17:05:24 EST 2010	JK Lowden <jklowden@freetds.org>
 	* Nmakefile include/replacements.h win32/config.h
 	* src/apps/bsqldb.c src/apps/defncopy.c src/apps/tsql.c
@@ -2043,4 +2047,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2920 2010/01/08 22:07:59 jklowden Exp $
+$Id: ChangeLog,v 1.2921 2010/01/08 22:41:34 jklowden Exp $
diff --git a/include/replacements.h b/include/replacements.h
index 25ec0d8..5a95294 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.21 2010/01/08 22:08:01 jklowden Exp $ */
+/* $Id: replacements.h,v 1.22 2010/01/08 22:41:35 jklowden Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -102,7 +102,7 @@ char *tds_basename(char *path);
 # endif
 int gettimeofday (struct timeval *tv, void *tz);
 int getopt(int argc, char * const argv[], const char *optstring);
-extern const char *optarg;
+extern char *optarg;
 extern int optind, offset, opterr;
 #endif
 
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index 6ffc89f..3532c8b 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -45,7 +45,7 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.36 2010/01/08 22:08:01 jklowden Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.37 2010/01/08 22:41:35 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef WIN32
@@ -762,7 +762,7 @@ get_login(int argc, char *argv[], OPTIONS *options)
 	int ch;
 	int got_password = 0;
 
-	extern const char *optarg;
+	extern char *optarg;
 
 	assert(options && argv);
 	
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 682816b..588c8b6 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -41,7 +41,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.194 2010/01/08 22:08:01 jklowden Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.195 2010/01/08 22:41:35 jklowden Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -622,7 +622,7 @@ winsock_initialized(void)
 #if defined(_WIN32) || defined(_WIN64)
 	WSADATA wsa_data;
 	int erc;
-	WSAPROTOCOL_INFO protocols[8];
+	WSAPROTOCOL_INFO protocols[64];
 	DWORD how_much = sizeof(protocols);
 	WORD requested_version = MAKEWORD(2, 2);
 	 

